Bug Hunting Session
Bug 99963 - UI: Cell-Properties dialog in calc
Summary: UI: Cell-Properties dialog in calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha1
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-05-20 10:55 UTC by Thomas Krumbein
Modified: 2016-09-21 16:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Calc cell-propertiy dialog (134.95 KB, image/png)
2016-05-20 10:55 UTC, Thomas Krumbein
Details
comparison 5.1 and 5.2 (35.14 KB, image/png)
2016-05-20 17:36 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Krumbein 2016-05-20 10:55:21 UTC
Created attachment 125188 [details]
Calc cell-propertiy dialog

What happened to the cell-property dialog in calc? See picture.

Using Windows this is not a good step. Even it is not possible to resize the dialog?

Should be changed to prior values.
Comment 1 m.a.riosv 2016-05-20 12:41:41 UTC
Not reproducible with:
Win10x64
Version: 5.1.3.2 (x64)
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
CPU Threads: 1; OS Version: Windows 6.19; UI Render: default; 

Please could you test with an updated version.
http://downloadarchive.documentfoundation.org/libreoffice/old/?C=M;O=D
Comment 2 Thomas Krumbein 2016-05-20 13:25:19 UTC
Sorry m.a.,

I missmatched version.No problems in Version 5.1.x,

but problems in version 5.2.0.0.alpha1.

Version: 5.2.0.0.alpha1+
Build-ID: f688acfdae00ebdd891737e533d54368810185e1
CPU-Threads: 4; BS-Version: Windows 6.2; UI-Render: GL; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-05-18_00:11:31
Gebietsschema: de-DE (de_DE)
Comment 3 raal 2016-05-20 17:36:18 UTC
Created attachment 125193 [details]
comparison 5.1 and 5.2

I can confirm with Version: 5.2.0.0.alpha1+
Build ID: 65b327b873e67ae24133b6e4afef5e8a12ed822e
CPU Threads: 1; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-05-10_01:02:23
Comment 4 raal 2016-05-25 09:14:54 UTC
This seems to have begun at the below commit.
Adding Cc: to Dennis Francis; Could you possibly take a look at this one? Thanks

5247141e4beaf94fc750d18a14cf354792e97b01 is the first bad commit
commit 5247141e4beaf94fc750d18a14cf354792e97b01
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Dec 9 03:59:57 2015 -0800

    source sha:2e512174f2116d86682037459fd5ab5164e9f510
author	Dennis Francis <dennisfrancis.in@gmail.com>	2015-10-31 22:19:38 (GMT)
committer	Eike Rathke <erack@redhat.com>	2015-12-07 13:49:53 (GMT)
commit	2e512174f2116d86682037459fd5ab5164e9f510 (patch)
tree	f28b135f29c1246a7a1f6a766de1214ab49f3bf6
parent	1a032dcfebc2702f0612c470d6b9c3e3cf4fb637 (diff)
tdf#34449 : ability of deleting borders of a cell from adjacent cell
Comment 5 Dennis Francis 2016-05-25 09:58:01 UTC
(In reply to raal from comment #4)
> This seems to have begun at the below commit.
> Adding Cc: to Dennis Francis; Could you possibly take a look at this one?
> Thanks


In that commit the only change to the UI was to add a checkbox under borders tab.
See https://wiki.documentfoundation.org/File:Adjacent_borders.png
I am not very familiar with the UI code but I believe the new checkbox's text made the dialog box to expand. I will check if there is a way to add multi-line text as message for checkbox, else will have to figure out a smaller text for the new checkbox.

Should we ask for UX team's input ?

Thanks.
Comment 6 Commit Notification 2016-07-18 15:13:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ea3f74ba0a9d291f26a79f2568d59f1a030d0585

Resolves: tdf#99963 line wrap very long checkbox content

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-07-18 22:19:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2a3fd8037b6a50ed64c0a6a1dbd1d3e1f2f3575&h=libreoffice-5-2

Resolves: tdf#99963 line wrap very long checkbox content

It will be available in 5.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-07-19 19:28:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f5e0651798c711905bdb9b2023c7672fea400ad1&h=libreoffice-5-2-0

Resolves: tdf#99963 line wrap very long checkbox content

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.